<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Youtube downloader</title>
    <link rel="stylesheet" href="./www/assets/app.css">
</head>

<body id="app">

    <!-- Statusbar overlay -->
    <div class="statusbar"></div>

    <!-- Your main view, should have "view-main" class -->
    <div class="view view-main">
        <!-- Initial Page, "data-name" contains page name -->
        <div data-name="home" class="page">

            <!-- Top Navbar -->
            <div class="navbar">
                <div class="navbar-inner">
                    <div class="title">Youtube downloader</div>
                </div>
            </div>

            <!-- Toolbar -->
            <div class="toolbar tabbar tabbar-scrollable toolbar-bottom">

            </div>


            <div class="page-content">
                <div class="row full-height">
                    <div class="col-25 full-height">
                        <div class="block">
                            <a class="button" id="reload">Youtube ne répond plus ? Cliquez ici</a>
                        </div>
                        <form class="list" id="my-form">
                            <ul>
                                <li>
                                    <div class="item-content item-input">
                                        <div class="item-inner">
                                            <div class="item-title item-label">Dossier de téléchargement</div>
                                            <div class="item-input-wrap">
                                                <input type="text" name="folder" disabled id="folder">
                                                <a href="" class="button" id="folder-selector">Choisir dossier</a>
                                            </div>
                                        </div>
                                    </div>
                                </li>
                                <li>
                                    <div class="item-content">
                                        <div class="item-inner">
                                            <div class="item-title">Récupérer la vidéo</div>
                                            <div class="item-after">
                                                <label class="toggle toggle-init">
                                                    <input type="checkbox" name="video" value="yes"><i class="toggle-icon"></i>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </li>
                            </ul>
                        </form>

                        <div class="block block-strong row">
                            <div class="col"><a class="button download" href="#">Télécharger</a></div>
                        </div>

                        <div class="list">
                            <ul  id="downloads">

                            </ul>
                        </div>

                    </div>
                    <div class="col-75 full-height">
                        <webview src="https://youtube.com/" id="webview" class=" full-height" width="100%" height="100%"></webview>
                    </div>
                </div>

        </div>
    </div>

    <script>
        // You can also require other files to run in this process
        const { ipcRenderer } = require('electron');
        require('./www/assets/app.js');

        $('#folder-selector').on('click', e =>{
            ipcRenderer.send('getFolder');
        });

        ipcRenderer.on('getFolder', (e, folder) => {
            $('#folder').val(folder);
        });

        ipcRenderer.on('convertionEnd', (e, datas) => {
            removeId(datas);
        });

        ipcRenderer.on('darkMode', (e, isDarkMode) => {
            if(isDarkMode) $('html').addClass('theme-dark');
            else $('html').removeClass('theme-dark');
        });

        function sendNotif(message){
            let myNotification = new Notification('Youtube downloader', {
                body: message
            });
        }

        function getMP3(path, id, name){
            ipcRenderer.send('getMP3', {path: path, name:name, id:id});
        }

        ipcRenderer.send('ready');

    </script>
</body>

</html>
